Sync openturns 1.2-2 (universe) from Debian unstable (main)

Bug #1252083 reported by Jackson Doak on 2013-11-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openturns (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync openturns 1.2-2 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Fixed FTBFS:
  - adjusted d/rules to use multiarch Python location;
  - removed redundant and failing CMake Fortran compiler check.
Fixed in debian, which builds fine.

Changelog entries since current trusty version 1.0-4ubuntu1:

openturns (1.2-2) unstable; urgency=low

  * Upload into unstable
  * debian/rules: also set CMAKE_EXE_LINKER_FLAGS with dpkg-buildflags's
    output.

 -- Denis Barbier <email address hidden> Fri, 09 Aug 2013 22:22:59 +0200

openturns (1.2-1) experimental; urgency=low

  [Julien Schueller]
  * New upstream version 1.2
  * Drop patches merged upstream:
      fix-bigendian.patch
      remove-soname-python-module.patches
  * Rename debian/patches/tests-disable-distributed_python_wrapper.patch
    into debian/patches/tests-disable-coupling_tools.patch

 -- Denis Barbier <email address hidden> Thu, 25 Jul 2013 20:06:52 +0200

openturns (1.2~rc1-2) experimental; urgency=low

  [ Denis Barbier ]
  * debian/rules: Fix FTBFS on *-i386, copied from 1.1-8.

  [ Julien Schueller ]
  * debian/patches/fix-bigendian.patch: Patch rewritten to use
    CMake detection of endianness.

 -- Denis Barbier <email address hidden> Mon, 15 Jul 2013 20:47:24 +0200

openturns (1.2~rc1-1) experimental; urgency=low

  [Julien Schueller]
  * New upstream version 1.2rc1
  * Bump soname to 0.3
  * Drop patches merged upstream:
     add-missing-header-file.patch debian-soname.patch
     fix-swig-warning.patch ftbfs-bison-2.7.patch
  * Launch tests in parallel

 -- Denis Barbier <email address hidden> Fri, 28 Jun 2013 01:51:22 +0200

openturns (1.1-9) unstable; urgency=low

  [ Julien Schueller ]
  * debian/control: All libraries listed in OPENTURNS_LIBRARIES
    variable into OpenTURNSConfig.cmake must be installed in order
    to link against OT. Let libopenturns-dev depend on
     libxml2-dev, liblapack-dev, libblas-dev, libtbb-dev [i386 amd64 ia64]

  [ Denis Barbier ]
  * debian/control: Replace Architecture: any by an hardcoded list
    of supported architectures. Openturns requires more than 1GB RAM,
    this caused a lot of trouble on mips* architectures.

 -- Denis Barbier <email address hidden> Thu, 18 Jul 2013 19:10:04 +0200

openturns (1.1-8) unstable; urgency=low

  * debian/rules: Fix building source package on *-i386, there was
    trouble with debian/patches/modify-tests-O0-i386.patch.

 -- Denis Barbier <email address hidden> Fri, 05 Jul 2013 18:06:37 +0200

openturns (1.1-7) unstable; urgency=low

  * debian/patches/modify-tests-O0-i386.patch: On *-i386 architectures,
    algocobyla.c is compiled with -O0 flag since 1.1-6; output of
    two tests is modified. Closes: #714915

 -- Denis Barbier <email address hidden> Thu, 04 Jul 2013 22:36:45 +0200

openturns (1.1-6) unstable; urgency=low

  * debian/rules: The previous change fixed C++ tests on kfreebsd-i386,
    but pyinstallcheck_Cobyla_nonlinear hangs. There is another hang
    on i386. The -fno-guess-branch-probability flag fixes the failure
    on kfreebsd-i386, but compile instead algocobyla.c with -O0 flag
    on *-i386 architectures to be safe. Closes: #714411

 -- Denis Barbier <email address hidden> Tue, 02 Jul 2013 20:08:27 +0200

openturns (1.1-5) unstable; urgency=low

  * debian/rules: algocobyla.c is again miscompiled with gcc 4.8.1
    on kfreebsd-i386 and hurd-i386, cppcheck_TrapezoidalFactory_std
    and cppcheck_WhittleFactory_std hang; compile with -fno-caller-saves
    to avoid these problems. Closes: #714411

 -- Denis Barbier <email address hidden> Sat, 29 Jun 2013 23:50:27 +0200

openturns (1.1-4) unstable; urgency=low

  * Upload into unstable
  * Bump Standards-Version to 3.9.4, no changes are needed.

 -- Denis Barbier <email address hidden> Thu, 27 Jun 2013 22:58:17 +0200

openturns (1.1-3) experimental; urgency=low

  * debian/rules: Adjust Python detection so that it works with
    multiarch and non-multiarch Python.
  * debian/patches/ftbfs-bison-2.7.patch: New patch, to fix build
    failures with newer Bison.
  * debian/patches/tests-disable-distributed_python_wrapper.patch:
    New patch, to disable distributed python wrapper tests, these
    tests sometimes fail in strange ways.
  * debian/patches/fix-swig-warning.patch: New patch, taken from
    upstream. Several tests are missing because of a behavior change
    in swig 2.0.9, fix .i files.

 -- Denis Barbier <email address hidden> Thu, 30 May 2013 23:51:47 +0200

openturns (1.1-2) experimental; urgency=low

  [ Julien Schueller ]
  * debian/rules: Install CMake files into /usr/lib/cmake/openturns
  * debian/patches/add-missing-header-file.patch: New patch, to
    install missing header file WrapperCommon_extern.h

  [ Denis Barbier ]
  * debian/patches/tests-disable-timing.patch: New patch, to disable
    test timings. They are useless, and prevent openturns from
    building on Hurd.
  * debian/patches/remove-soname-python-module.patch: New patch, to
    remove SONAME from Python modules, this confuses dpkg-shlibdeps.
  * debian/control: Let openturns-examples explicitly depend on python.
  * debian/rules: Pass LDFLAGS when building shared libraries.
  * openturns-examples: Remove duplicates from /usr/lib/openturns/examples/.

 -- Denis Barbier <email address hidden> Tue, 05 Feb 2013 01:23:41 +0100

openturns (1.1-1) experimental; urgency=low

  [ Denis Barbier ]
  * New upstream version
  * License has been updated to LGPL-3+
  * Drop patches merged upstream:
      fix-dtd-search-path.patch install_cmake_files.patch
      kfreebsd-fix-t_WrapperFile_generic.patch
  * Let libopenturns-dev ship CMake files.
  * debian/watch: Check for tar.bz2 instead of tar.gz
  * debian/copyright: Convert to machine-readable format
    and add missing stanzas.

  [ Julien Schueller ]
  * debian/rules: Drop chmod calls, they are useless.
  * debian/rules: Removed useless clean override.
  * debian/control: Fix URL in Homepage field.

 -- Denis Barbier <email address hidden> Sun, 13 Jan 2013 09:46:40 +0100

openturns (1.1~rc1-3) experimental; urgency=low

  * debian/patches/kfreebsd-fix-t_WrapperFile_generic.patch: New
    patch to fix t_WrapperFile_generic.py failure on kfreebsd.

 -- Denis Barbier <email address hidden> Sun, 09 Dec 2012 21:39:44 +0100

openturns (1.1~rc1-2) experimental; urgency=low

  * debian/patches/disable-coupling_tools.patch: Replaced by...
  * debian/patches/fix-dtd-search-path.patch: Fix DTD search path
    to look into all wrapper directories and not only
    Path::GetStandardWrapperDirectory(). All tests can now run.
  * debian/rules: Thanks to this new patch, there is no more need
    to set OPENTURNS_HOME.
  * debian/rules: Append current value of LD_LIBRARY_PATH into
    CTestTestfile.cmake, this should avoid FTBFS on kfreebsd-*.

 -- Denis Barbier <email address hidden> Sun, 09 Dec 2012 08:44:04 +0100

openturns (1.1~rc1-1) experimental; urgency=low

  * New upstream version
  * Drop patches merged upstream:
      bigendian-randomgenerator.patch cmake-configdir.patch
      cmake-tools.patch fix-tests-clang.patch ftbfs-4.7.patch
      ftbfs-clang.patch installcheck.patch test-output.patch
  * debian/patches/disable-coupling_tools.patch: New patch.
    Disable two tests which require changing LD_LIBRARY_PATH,
    this breaks fakeroot.
  * debian/rules: Set R_LIBS_SITE when running tests.
  * debian/rules: Now that all architectures run tests without
    failures, let test failures abort build.
  * debian/rules: Also use dpkg-buildflags to set CPPFLAGS.
  * debian/rules: On mips, do not build Python libraries in
    parallel to avoid build failures due to memory problems.
  * debian/control: Adjust package dependencies
      + Build-Depends: remove unused python-rpy2, ghostscript,
        graphviz.
      + libopenturns0.2: Demote r-other-rot from Depends into
        Suggests, it is needed by few files only. Ditto for
        ghostscript, only needed by R.
      + python-openturns: Drop Depends on python-rpy2,
        ghostscript, python-qt4;
        Add Suggests: python-matplotlib, python-scipy

 -- Denis Barbier <email address hidden> Tue, 04 Dec 2012 19:39:48 +0100

Daniel Holbach (dholbach) wrote :
Download full text (7.8 KiB)

This bug was fixed in the package openturns - 1.2-2
Sponsored for Jackson Doak (noskcaj)

---------------
openturns (1.2-2) unstable; urgency=low

  * Upload into unstable
  * debian/rules: also set CMAKE_EXE_LINKER_FLAGS with dpkg-buildflags's
    output.

 -- Denis Barbier <email address hidden> Fri, 09 Aug 2013 22:22:59 +0200

openturns (1.2-1) experimental; urgency=low

  [Julien Schueller]
  * New upstream version 1.2
  * Drop patches merged upstream:
      fix-bigendian.patch
      remove-soname-python-module.patches
  * Rename debian/patches/tests-disable-distributed_python_wrapper.patch
    into debian/patches/tests-disable-coupling_tools.patch

 -- Denis Barbier <email address hidden> Thu, 25 Jul 2013 20:06:52 +0200

openturns (1.2~rc1-2) experimental; urgency=low

  [ Denis Barbier ]
  * debian/rules: Fix FTBFS on *-i386, copied from 1.1-8.

  [ Julien Schueller ]
  * debian/patches/fix-bigendian.patch: Patch rewritten to use
    CMake detection of endianness.

 -- Denis Barbier <email address hidden> Mon, 15 Jul 2013 20:47:24 +0200

openturns (1.2~rc1-1) experimental; urgency=low

  [Julien Schueller]
  * New upstream version 1.2rc1
  * Bump soname to 0.3
  * Drop patches merged upstream:
     add-missing-header-file.patch debian-soname.patch
     fix-swig-warning.patch ftbfs-bison-2.7.patch
  * Launch tests in parallel

 -- Denis Barbier <email address hidden> Fri, 28 Jun 2013 01:51:22 +0200

openturns (1.1-9) unstable; urgency=low

  [ Julien Schueller ]
  * debian/control: All libraries listed in OPENTURNS_LIBRARIES
    variable into OpenTURNSConfig.cmake must be installed in order
    to link against OT. Let libopenturns-dev depend on
     libxml2-dev, liblapack-dev, libblas-dev, libtbb-dev [i386 amd64 ia64]

  [ Denis Barbier ]
  * debian/control: Replace Architecture: any by an hardcoded list
    of supported architectures. Openturns requires more than 1GB RAM,
    this caused a lot of trouble on mips* architectures.

 -- Denis Barbier <email address hidden> Thu, 18 Jul 2013 19:10:04 +0200

openturns (1.1-8) unstable; urgency=low

  * debian/rules: Fix building source package on *-i386, there was
    trouble with debian/patches/modify-tests-O0-i386.patch.

 -- Denis Barbier <email address hidden> Fri, 05 Jul 2013 18:06:37 +0200

openturns (1.1-7) unstable; urgency=low

  * debian/patches/modify-tests-O0-i386.patch: On *-i386 architectures,
    algocobyla.c is compiled with -O0 flag since 1.1-6; output of
    two tests is modified. Closes: #714915

 -- Denis Barbier <email address hidden> Thu, 04 Jul 2013 22:36:45 +0200

openturns (1.1-6) unstable; urgency=low

  * debian/rules: The previous change fixed C++ tests on kfreebsd-i386,
    but pyinstallcheck_Cobyla_nonlinear hangs. There is another hang
    on i386. The -fno-guess-branch-probability flag fixes the failure
    on kfreebsd-i386, but compile instead algocobyla.c with -O0 flag
    on *-i386 architectures to be safe. Closes: #714411

 -- Denis Barbier <email address hidden> Tue, 02 Jul 2013 20:08:27 +0200

openturns (1.1-5) unstable; urgency=low

  * debian/rules: algocobyla.c is again miscompiled with gcc 4.8.1
    on kfreebsd-i386 and hurd-i386, cppcheck_TrapezoidalFac...

Read more...

Changed in openturns (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers